// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_cancel_claim.proto

package order

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CancelClaim_Status int32

const (
	CancelClaim_ACTIVE CancelClaim_Status = 0
	CancelClaim_REJECT CancelClaim_Status = 1
	CancelClaim_DONE   CancelClaim_Status = 2
)

// Enum value maps for CancelClaim_Status.
var (
	CancelClaim_Status_name = map[int32]string{
		0: "ACTIVE",
		1: "REJECT",
		2: "DONE",
	}
	CancelClaim_Status_value = map[string]int32{
		"ACTIVE": 0,
		"REJECT": 1,
		"DONE":   2,
	}
)

func (x CancelClaim_Status) Enum() *CancelClaim_Status {
	p := new(CancelClaim_Status)
	*p = x
	return p
}

func (x CancelClaim_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CancelClaim_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_cancel_claim_proto_enumTypes[0].Descriptor()
}

func (CancelClaim_Status) Type() protoreflect.EnumType {
	return &file_v1_order_model_cancel_claim_proto_enumTypes[0]
}

func (x CancelClaim_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CancelClaim_Status.Descriptor instead.
func (CancelClaim_Status) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{0, 0}
}

type CancelClaim struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// id (generated by system)
	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	// (generated by system)
	ExternalId string `protobuf:"bytes,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	// status
	Status         CancelClaim_Status `protobuf:"varint,3,opt,name=status,proto3,enum=fcp.order.v1.order.CancelClaim_Status" json:"status,omitempty"`
	MultiDealId    int64              `protobuf:"varint,4,opt,name=multi_deal_id,json=multiDealId,proto3" json:"multi_deal_id,omitempty"`
	DealId         int64              `protobuf:"varint,7,opt,name=deal_id,json=dealId,proto3" json:"deal_id,omitempty"`
	DealExternalId string             `protobuf:"bytes,10,opt,name=deal_external_id,json=dealExternalId,proto3" json:"deal_external_id,omitempty"`
	// reason
	Reason        CancelClaimReason `protobuf:"varint,5,opt,name=reason,proto3,enum=fcp.order.v1.order.CancelClaimReason" json:"reason,omitempty"`
	ReasonComment string            `protobuf:"bytes,6,opt,name=reason_comment,json=reasonComment,proto3" json:"reason_comment,omitempty"`
	// Output only
	AdminId string `protobuf:"bytes,9,opt,name=admin_id,json=adminId,proto3" json:"admin_id,omitempty"`
	// final admin decision description
	Description string `protobuf:"bytes,21,opt,name=description,proto3" json:"description,omitempty"`
	Audit       *Audit `protobuf:"bytes,22,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *CancelClaim) Reset() {
	*x = CancelClaim{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CancelClaim) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CancelClaim) ProtoMessage() {}

func (x *CancelClaim) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CancelClaim.ProtoReflect.Descriptor instead.
func (*CancelClaim) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{0}
}

func (x *CancelClaim) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *CancelClaim) GetExternalId() string {
	if x != nil {
		return x.ExternalId
	}
	return ""
}

func (x *CancelClaim) GetStatus() CancelClaim_Status {
	if x != nil {
		return x.Status
	}
	return CancelClaim_ACTIVE
}

func (x *CancelClaim) GetMultiDealId() int64 {
	if x != nil {
		return x.MultiDealId
	}
	return 0
}

func (x *CancelClaim) GetDealId() int64 {
	if x != nil {
		return x.DealId
	}
	return 0
}

func (x *CancelClaim) GetDealExternalId() string {
	if x != nil {
		return x.DealExternalId
	}
	return ""
}

func (x *CancelClaim) GetReason() CancelClaimReason {
	if x != nil {
		return x.Reason
	}
	return CancelClaimReason_NOT_SPECIFIED
}

func (x *CancelClaim) GetReasonComment() string {
	if x != nil {
		return x.ReasonComment
	}
	return ""
}

func (x *CancelClaim) GetAdminId() string {
	if x != nil {
		return x.AdminId
	}
	return ""
}

func (x *CancelClaim) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *CancelClaim) GetAudit() *Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

//---------
// List
//---------
type CancelClaimFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Statuses []CancelClaim_Status `protobuf:"varint,1,rep,packed,name=statuses,proto3,enum=fcp.order.v1.order.CancelClaim_Status" json:"statuses,omitempty"`
	// LiKE > 3 symbol
	Reason        *CancelClaimReasonValue `protobuf:"bytes,2,opt,name=reason,proto3" json:"reason,omitempty"`
	ReasonComment *wrappers.StringValue   `protobuf:"bytes,5,opt,name=reason_comment,json=reasonComment,proto3" json:"reason_comment,omitempty"`
	// LiKE > 3 symbol
	ExternalId *wrappers.StringValue `protobuf:"bytes,6,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	// deal id
	DealId *wrappers.Int64Value `protobuf:"bytes,7,opt,name=deal_id,json=dealId,proto3" json:"deal_id,omitempty"`
	// multi deal id
	MultiDealId *wrappers.Int64Value `protobuf:"bytes,3,opt,name=multi_deal_id,json=multiDealId,proto3" json:"multi_deal_id,omitempty"`
	// LiKE > 3 symbol
	Description *wrappers.StringValue `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	Updated     *TimeRange            `protobuf:"bytes,12,opt,name=updated,proto3" json:"updated,omitempty"`
	CreatedName *wrappers.StringValue `protobuf:"bytes,13,opt,name=created_name,json=createdName,proto3" json:"created_name,omitempty"` // LIKE
	Created     *TimeRange            `protobuf:"bytes,14,opt,name=created,proto3" json:"created,omitempty"`
	State       *StateValue           `protobuf:"bytes,15,opt,name=state,proto3" json:"state,omitempty"`
	CreatedBy   *wrappers.StringValue `protobuf:"bytes,16,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	UpdatedBy   *wrappers.StringValue `protobuf:"bytes,17,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
}

func (x *CancelClaimFilter) Reset() {
	*x = CancelClaimFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CancelClaimFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CancelClaimFilter) ProtoMessage() {}

func (x *CancelClaimFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CancelClaimFilter.ProtoReflect.Descriptor instead.
func (*CancelClaimFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{1}
}

func (x *CancelClaimFilter) GetStatuses() []CancelClaim_Status {
	if x != nil {
		return x.Statuses
	}
	return nil
}

func (x *CancelClaimFilter) GetReason() *CancelClaimReasonValue {
	if x != nil {
		return x.Reason
	}
	return nil
}

func (x *CancelClaimFilter) GetReasonComment() *wrappers.StringValue {
	if x != nil {
		return x.ReasonComment
	}
	return nil
}

func (x *CancelClaimFilter) GetExternalId() *wrappers.StringValue {
	if x != nil {
		return x.ExternalId
	}
	return nil
}

func (x *CancelClaimFilter) GetDealId() *wrappers.Int64Value {
	if x != nil {
		return x.DealId
	}
	return nil
}

func (x *CancelClaimFilter) GetMultiDealId() *wrappers.Int64Value {
	if x != nil {
		return x.MultiDealId
	}
	return nil
}

func (x *CancelClaimFilter) GetDescription() *wrappers.StringValue {
	if x != nil {
		return x.Description
	}
	return nil
}

func (x *CancelClaimFilter) GetUpdated() *TimeRange {
	if x != nil {
		return x.Updated
	}
	return nil
}

func (x *CancelClaimFilter) GetCreatedName() *wrappers.StringValue {
	if x != nil {
		return x.CreatedName
	}
	return nil
}

func (x *CancelClaimFilter) GetCreated() *TimeRange {
	if x != nil {
		return x.Created
	}
	return nil
}

func (x *CancelClaimFilter) GetState() *StateValue {
	if x != nil {
		return x.State
	}
	return nil
}

func (x *CancelClaimFilter) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *CancelClaimFilter) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

type ListCancelClaimRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *CancelClaimFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// status, created
	Sorting    []*Sorting         `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	Pagination *PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListCancelClaimRequest) Reset() {
	*x = ListCancelClaimRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListCancelClaimRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListCancelClaimRequest) ProtoMessage() {}

func (x *ListCancelClaimRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListCancelClaimRequest.ProtoReflect.Descriptor instead.
func (*ListCancelClaimRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{2}
}

func (x *ListCancelClaimRequest) GetFilter() *CancelClaimFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListCancelClaimRequest) GetSorting() []*Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListCancelClaimRequest) GetPagination() *PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListCancelClaimResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*CancelClaim      `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListCancelClaimResponse) Reset() {
	*x = ListCancelClaimResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListCancelClaimResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListCancelClaimResponse) ProtoMessage() {}

func (x *ListCancelClaimResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListCancelClaimResponse.ProtoReflect.Descriptor instead.
func (*ListCancelClaimResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{3}
}

func (x *ListCancelClaimResponse) GetItems() []*CancelClaim {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListCancelClaimResponse) GetPagination() *PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

// Get
type GetCancelClaimRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetCancelClaimRequest) Reset() {
	*x = GetCancelClaimRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetCancelClaimRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCancelClaimRequest) ProtoMessage() {}

func (x *GetCancelClaimRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCancelClaimRequest.ProtoReflect.Descriptor instead.
func (*GetCancelClaimRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{4}
}

func (x *GetCancelClaimRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetCancelClaimResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *CancelClaim `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetCancelClaimResponse) Reset() {
	*x = GetCancelClaimResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetCancelClaimResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCancelClaimResponse) ProtoMessage() {}

func (x *GetCancelClaimResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCancelClaimResponse.ProtoReflect.Descriptor instead.
func (*GetCancelClaimResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{5}
}

func (x *GetCancelClaimResponse) GetItem() *CancelClaim {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveCancelClaimRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *CancelClaim `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SaveCancelClaimRequest) Reset() {
	*x = SaveCancelClaimRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveCancelClaimRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveCancelClaimRequest) ProtoMessage() {}

func (x *SaveCancelClaimRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveCancelClaimRequest.ProtoReflect.Descriptor instead.
func (*SaveCancelClaimRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{6}
}

func (x *SaveCancelClaimRequest) GetItem() *CancelClaim {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveCancelClaimResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveCancelClaimResponse) Reset() {
	*x = SaveCancelClaimResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveCancelClaimResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveCancelClaimResponse) ProtoMessage() {}

func (x *SaveCancelClaimResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveCancelClaimResponse.ProtoReflect.Descriptor instead.
func (*SaveCancelClaimResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{7}
}

func (x *SaveCancelClaimResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type CancelClaim_StatusValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value CancelClaim_Status `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.CancelClaim_Status" json:"value,omitempty"`
}

func (x *CancelClaim_StatusValue) Reset() {
	*x = CancelClaim_StatusValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_claim_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CancelClaim_StatusValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CancelClaim_StatusValue) ProtoMessage() {}

func (x *CancelClaim_StatusValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_claim_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CancelClaim_StatusValue.ProtoReflect.Descriptor instead.
func (*CancelClaim_StatusValue) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_claim_proto_rawDescGZIP(), []int{0, 0}
}

func (x *CancelClaim_StatusValue) GetValue() CancelClaim_Status {
	if x != nil {
		return x.Value
	}
	return CancelClaim_ACTIVE
}

var File_v1_order_model_cancel_claim_proto protoreflect.FileDescriptor

var file_v1_order_model_cancel_claim_proto_rawDesc = []byte{
	0x0a, 0x21, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x12, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65,
	0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0xb8, 0x04, 0x0a, 0x0b, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12,
	0x1f, 0x0a, 0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64,
	0x12, 0x3e, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69,
	0x6d, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x12, 0x22, 0x0a, 0x0d, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x69,
	0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65,
	0x61, 0x6c, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x06, 0x64, 0x65, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x28, 0x0a,
	0x10, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69,
	0x64, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x64, 0x65, 0x61, 0x6c, 0x45, 0x78, 0x74,
	0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x3d, 0x0a, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f,
	0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e,
	0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x52, 0x06,
	0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x12, 0x25, 0x0a, 0x0e, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d,
	0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x19, 0x0a,
	0x08, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x49, 0x64, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x15, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2f, 0x0a, 0x05, 0x61, 0x75,
	0x64, 0x69, 0x74, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x41,
	0x75, 0x64, 0x69, 0x74, 0x52, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x1a, 0x4b, 0x0a, 0x0b, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x3c, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43,
	0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x2a, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x12, 0x0a, 0x0a, 0x06, 0x41, 0x43, 0x54, 0x49, 0x56, 0x45, 0x10, 0x00, 0x12, 0x0a,
	0x0a, 0x06, 0x52, 0x45, 0x4a, 0x45, 0x43, 0x54, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04, 0x44, 0x4f,
	0x4e, 0x45, 0x10, 0x02, 0x4a, 0x04, 0x08, 0x0b, 0x10, 0x15, 0x22, 0xbf, 0x06, 0x0a, 0x11, 0x43,
	0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x12, 0x42, 0x0a, 0x08, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0e, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c,
	0x61, 0x69, 0x6d, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x08, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x65, 0x73, 0x12, 0x42, 0x0a, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c,
	0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x52, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x0e, 0x72, 0x65, 0x61, 0x73,
	0x6f, 0x6e, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0d,
	0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x3d, 0x0a,
	0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x52, 0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x34, 0x0a, 0x07,
	0x64, 0x65, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x06, 0x64, 0x65, 0x61, 0x6c,
	0x49, 0x64, 0x12, 0x3f, 0x0a, 0x0d, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x5f, 0x64, 0x65, 0x61, 0x6c,
	0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36,
	0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x44, 0x65, 0x61,
	0x6c, 0x49, 0x64, 0x12, 0x3e, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e,
	0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x37, 0x0a, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x0c,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61,
	0x6e, 0x67, 0x65, 0x52, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x3f, 0x0a, 0x0c,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0d, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x52, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x37, 0x0a,
	0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x07, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x12, 0x34, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18,
	0x0f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x3b, 0x0a, 0x0a,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x10, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x11, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x4a, 0x04, 0x08, 0x08, 0x10, 0x0c, 0x22, 0xd5, 0x01, 0x0a,
	0x16, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3d, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e,
	0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06,
	0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x35, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e,
	0x67, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x6f, 0x72,
	0x74, 0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x45, 0x0a,
	0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x22, 0x98, 0x01, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6e,
	0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x35, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d,
	0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x46, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22,
	0x27, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69,
	0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x4d, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x43,
	0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x33, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69,
	0x6d, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x4d, 0x0a, 0x16, 0x53, 0x61, 0x76, 0x65, 0x43,
	0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x33, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d,
	0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x29, 0x0a, 0x17, 0x53, 0x61, 0x76, 0x65, 0x43, 0x61,
	0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69,
	0x64, 0x42, 0x4b, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x2d, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba, 0x02, 0x00, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_cancel_claim_proto_rawDescOnce sync.Once
	file_v1_order_model_cancel_claim_proto_rawDescData = file_v1_order_model_cancel_claim_proto_rawDesc
)

func file_v1_order_model_cancel_claim_proto_rawDescGZIP() []byte {
	file_v1_order_model_cancel_claim_proto_rawDescOnce.Do(func() {
		file_v1_order_model_cancel_claim_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_cancel_claim_proto_rawDescData)
	})
	return file_v1_order_model_cancel_claim_proto_rawDescData
}

var file_v1_order_model_cancel_claim_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_order_model_cancel_claim_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_v1_order_model_cancel_claim_proto_goTypes = []interface{}{
	(CancelClaim_Status)(0),         // 0: fcp.order.v1.order.CancelClaim.Status
	(*CancelClaim)(nil),             // 1: fcp.order.v1.order.CancelClaim
	(*CancelClaimFilter)(nil),       // 2: fcp.order.v1.order.CancelClaimFilter
	(*ListCancelClaimRequest)(nil),  // 3: fcp.order.v1.order.ListCancelClaimRequest
	(*ListCancelClaimResponse)(nil), // 4: fcp.order.v1.order.ListCancelClaimResponse
	(*GetCancelClaimRequest)(nil),   // 5: fcp.order.v1.order.GetCancelClaimRequest
	(*GetCancelClaimResponse)(nil),  // 6: fcp.order.v1.order.GetCancelClaimResponse
	(*SaveCancelClaimRequest)(nil),  // 7: fcp.order.v1.order.SaveCancelClaimRequest
	(*SaveCancelClaimResponse)(nil), // 8: fcp.order.v1.order.SaveCancelClaimResponse
	(*CancelClaim_StatusValue)(nil), // 9: fcp.order.v1.order.CancelClaim.StatusValue
	(CancelClaimReason)(0),          // 10: fcp.order.v1.order.CancelClaimReason
	(*Audit)(nil),                   // 11: fcp.order.v1.order.Audit
	(*CancelClaimReasonValue)(nil),  // 12: fcp.order.v1.order.CancelClaimReasonValue
	(*wrappers.StringValue)(nil),    // 13: google.protobuf.StringValue
	(*wrappers.Int64Value)(nil),     // 14: google.protobuf.Int64Value
	(*TimeRange)(nil),               // 15: fcp.order.v1.order.TimeRange
	(*StateValue)(nil),              // 16: fcp.order.v1.order.StateValue
	(*Sorting)(nil),                 // 17: fcp.order.v1.order.Sorting
	(*PaginationRequest)(nil),       // 18: fcp.order.v1.order.PaginationRequest
	(*PaginationResponse)(nil),      // 19: fcp.order.v1.order.PaginationResponse
}
var file_v1_order_model_cancel_claim_proto_depIdxs = []int32{
	0,  // 0: fcp.order.v1.order.CancelClaim.status:type_name -> fcp.order.v1.order.CancelClaim.Status
	10, // 1: fcp.order.v1.order.CancelClaim.reason:type_name -> fcp.order.v1.order.CancelClaimReason
	11, // 2: fcp.order.v1.order.CancelClaim.audit:type_name -> fcp.order.v1.order.Audit
	0,  // 3: fcp.order.v1.order.CancelClaimFilter.statuses:type_name -> fcp.order.v1.order.CancelClaim.Status
	12, // 4: fcp.order.v1.order.CancelClaimFilter.reason:type_name -> fcp.order.v1.order.CancelClaimReasonValue
	13, // 5: fcp.order.v1.order.CancelClaimFilter.reason_comment:type_name -> google.protobuf.StringValue
	13, // 6: fcp.order.v1.order.CancelClaimFilter.external_id:type_name -> google.protobuf.StringValue
	14, // 7: fcp.order.v1.order.CancelClaimFilter.deal_id:type_name -> google.protobuf.Int64Value
	14, // 8: fcp.order.v1.order.CancelClaimFilter.multi_deal_id:type_name -> google.protobuf.Int64Value
	13, // 9: fcp.order.v1.order.CancelClaimFilter.description:type_name -> google.protobuf.StringValue
	15, // 10: fcp.order.v1.order.CancelClaimFilter.updated:type_name -> fcp.order.v1.order.TimeRange
	13, // 11: fcp.order.v1.order.CancelClaimFilter.created_name:type_name -> google.protobuf.StringValue
	15, // 12: fcp.order.v1.order.CancelClaimFilter.created:type_name -> fcp.order.v1.order.TimeRange
	16, // 13: fcp.order.v1.order.CancelClaimFilter.state:type_name -> fcp.order.v1.order.StateValue
	13, // 14: fcp.order.v1.order.CancelClaimFilter.created_by:type_name -> google.protobuf.StringValue
	13, // 15: fcp.order.v1.order.CancelClaimFilter.updated_by:type_name -> google.protobuf.StringValue
	2,  // 16: fcp.order.v1.order.ListCancelClaimRequest.filter:type_name -> fcp.order.v1.order.CancelClaimFilter
	17, // 17: fcp.order.v1.order.ListCancelClaimRequest.sorting:type_name -> fcp.order.v1.order.Sorting
	18, // 18: fcp.order.v1.order.ListCancelClaimRequest.pagination:type_name -> fcp.order.v1.order.PaginationRequest
	1,  // 19: fcp.order.v1.order.ListCancelClaimResponse.items:type_name -> fcp.order.v1.order.CancelClaim
	19, // 20: fcp.order.v1.order.ListCancelClaimResponse.pagination:type_name -> fcp.order.v1.order.PaginationResponse
	1,  // 21: fcp.order.v1.order.GetCancelClaimResponse.item:type_name -> fcp.order.v1.order.CancelClaim
	1,  // 22: fcp.order.v1.order.SaveCancelClaimRequest.item:type_name -> fcp.order.v1.order.CancelClaim
	0,  // 23: fcp.order.v1.order.CancelClaim.StatusValue.value:type_name -> fcp.order.v1.order.CancelClaim.Status
	24, // [24:24] is the sub-list for method output_type
	24, // [24:24] is the sub-list for method input_type
	24, // [24:24] is the sub-list for extension type_name
	24, // [24:24] is the sub-list for extension extendee
	0,  // [0:24] is the sub-list for field type_name
}

func init() { file_v1_order_model_cancel_claim_proto_init() }
func file_v1_order_model_cancel_claim_proto_init() {
	if File_v1_order_model_cancel_claim_proto != nil {
		return
	}
	file_v1_order_common_proto_init()
	file_v1_order_enum_proto_init()
	file_v1_order_model_deal_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_cancel_claim_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CancelClaim); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CancelClaimFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListCancelClaimRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListCancelClaimResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetCancelClaimRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetCancelClaimResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveCancelClaimRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveCancelClaimResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_claim_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CancelClaim_StatusValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_cancel_claim_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_cancel_claim_proto_goTypes,
		DependencyIndexes: file_v1_order_model_cancel_claim_proto_depIdxs,
		EnumInfos:         file_v1_order_model_cancel_claim_proto_enumTypes,
		MessageInfos:      file_v1_order_model_cancel_claim_proto_msgTypes,
	}.Build()
	File_v1_order_model_cancel_claim_proto = out.File
	file_v1_order_model_cancel_claim_proto_rawDesc = nil
	file_v1_order_model_cancel_claim_proto_goTypes = nil
	file_v1_order_model_cancel_claim_proto_depIdxs = nil
}
